Accepting request 309129 from home:pgajdos

- align filenames with upstream names (and add compat symlinks)
- find_httpd2_includes renamed to find_httpd_includes

OBS-URL: https://build.opensuse.org/request/show/309129
OBS-URL: https://build.opensuse.org/package/show/Apache/apache2?expand=0&rev=447
This commit is contained in:
Kristyna Streitova 2015-06-02 08:26:32 +00:00 committed by Git OBS Bridge
parent d7b41eca02
commit 1c66eaf9ed
13 changed files with 173 additions and 119 deletions

View File

@ -197,20 +197,21 @@
# up that name in the DNS irrespective of any setting of HostnameLookups.
#
#<limit GET POST>
# <RequireAny>
# <IfModule !mod_access_compat.c>
# <IfModule !mod_access_compat.c>
# <RequireAny>
# Require valid-user
# Require local
# Require host .example.com
# </IfModule>
# <IfModule mod_access_compat.c>
# Order Deny,Allow
# Deny from All
# Allow from 127.0.0.1
# Allow from .example.com
# Satisfy any
# </IfModule>
# </RequireAny>
# </RequireAny>
# </IfModule>
# <IfModule mod_access_compat.c>
# Require valid-user
# Order Deny,Allow
# Deny from All
# Allow from 127.0.0.1
# Allow from .example.com
# Satisfy any
# </IfModule>
#</limit>
</Directory>

View File

@ -4,7 +4,7 @@
# the MPM (multiprocessing module) is not a dynamically loadable module in the
# sense of other modules. It is a compile time decision which one is used. We
# provide different apache2 MPM packages, containing different httpd2 binaries
# provide different apache2 MPM packages, containing different httpd binaries
# compiled with the available MPMs. See APACHE_MPM in /etc/sysconfig/apache2.
# prefork MPM

View File

@ -1,3 +1,9 @@
-------------------------------------------------------------------
Tue May 26 11:57:44 UTC 2015 - pgajdos@suse.com
- align filenames with upstream names (and add compat symlinks)
- find_httpd2_includes renamed to find_httpd_includes
-------------------------------------------------------------------
Mon May 25 10:27:13 UTC 2015 - pgajdos@suse.com

View File

@ -14,4 +14,4 @@ ExecStop=/usr/sbin/start_apache2 -D SYSTEMD -DFOREGROUND -k graceful-stop
[Install]
WantedBy=multi-user.target
Alias=httpd.service
Alias=httpd.service apache.service

View File

@ -16,8 +16,6 @@
#
%define vers 2
%define httpd httpd2
%define apache_mmn %(test -s %{SOURCE0} && { echo -n apache_mmn_; bzcat %{SOURCE0} | awk '/^#define MODULE_MAGIC_NUMBER_MAJOR/ {printf "%d", $3}'; })
%define default_mpm prefork
%{!?prefork:%define prefork 1}
@ -78,7 +76,7 @@ Source40: load_configuration
Source41: find_mpm
Source42: get_module_list
Source43: get_includes
Source44: find_httpd2_includes
Source44: find_httpd_includes
# sysconf_addword is part of aaa_base.rpm starting with openSUSE 11.0
# we bring our own copy for the cases where it is not available
Source45: sysconf_addword
@ -343,7 +341,7 @@ function configure {
CPPFLAGS="-DSSL_EXPERIMENTAL_ENGINE -DMAX_SERVER_LIMIT=200000 -DLDAP_DEPRECATED -DMAXLINE=4096" \
./configure \
--enable-layout=SuSE81%(test "%{_lib}" = lib64 && echo -n _64) \
--with-program-name=httpd%{vers}$mpm_suffix \
--with-program-name=httpd$mpm_suffix \
--with-apr=%{_bindir}/apr-1-config \
--with-apr-util=%{_bindir}/apu-1-config \
--with-mpm=$mpm \
@ -391,7 +389,7 @@ function configure {
--enable-optional-fn-import \
--enable-optional-fn-export \
--enable-suexec \
--with-suexec-bin=%{_sbindir}/suexec%{vers} \
--with-suexec-bin=%{_sbindir}/suexec \
--with-suexec-caller=%{httpduser} \
--with-suexec-docroot=%{datadir} \
--with-suexec-logfile=%{logfiledir}/suexec.log \
@ -410,7 +408,7 @@ for mpm in %{mpms_to_build}; do
echo -e "\n\n\n \e[01m***** Building $mpm MPM *****\e[00m\n\n\n"
export mpm_suffix=-$mpm
configure
sed "s/%{vers}-$mpm//" include/ap_config_auto.h > include/ap_config_auto.h.new
sed "s/-$mpm//" include/ap_config_auto.h > include/ap_config_auto.h.new
mv include/ap_config_auto.h.new include/ap_config_auto.h
sed -i -e "s@%{_localstatedir}/run@%{runtimedir}@g" include/ap_config_layout.h
@ -422,8 +420,8 @@ for mpm in %{mpms_to_build}; do
echo;echo;echo; diff -U1 docs/conf/ssl-std.conf.in docs/conf/ssl-std.conf ||:
# show compile settings
pwd
printf "\n\n\n"; ./%{httpd}$mpm_suffix -V
printf "\n\n\n"; ./%{httpd}$mpm_suffix -l
printf "\n\n\n"; ./httpd$mpm_suffix -V
printf "\n\n\n"; ./httpd$mpm_suffix -l
#mv %{buildroot}/%{sysconfdir}/httpd-std.conf %{buildroot}/%{sysconfdir}/httpd-std.conf$mpm_suffix
#mv %{buildroot}/%{sysconfdir}/httpd2-prefork.conf %{buildroot}/%{sysconfdir}/httpd-std.conf$mpm_suffix
# fix up and rename config_vars file: remove references to the RPM build dir;
@ -442,13 +440,13 @@ mkdir -p %{buildroot}/%{libexecdir}
# remove references to mpm type in config_vars
sed -e "s^%{_libdir}/%{name}-%{default_mpm}^%{_libdir}/%{name}^" \
-e "s/httpd$/%{httpd}-%{default_mpm}/" \
-e "s/httpd$/httpd-%{default_mpm}/" \
-e "s/%{name}-%{default_mpm}/%{name}/" \
< %{buildroot}/%{installbuilddir}/config_vars.mk-%{default_mpm} \
> %{buildroot}/%{installbuilddir}/config_vars.mk
# get rid of modules that do not differ between the MPMs (since most of them are the same)
# by putting them in /usr/lib/apache%{vers}
# by putting them in /usr/lib/apache2
ldir=%{buildroot}/%{libexecdir}
for i in $(cd $ldir-%{default_mpm}; ls -1 *.so); do
identical=true
@ -473,7 +471,7 @@ for i in $(cd $ldir-%{default_mpm}; ls -1 *.so); do
done
# merge the three /usr/include/apache2-* directories
# by putting them in /usr/lib/apache%{vers}
# by putting them in /usr/lib/apache2
idir=%{buildroot}/%{includedir}
mkdir -p $idir
for i in $(cd $idir-%{default_mpm}; ls -1); do
@ -504,9 +502,9 @@ cat > %{buildroot}/%{_libdir}/%{name}_MMN <<-EOF
echo %{apache_mmn}
EOF
cp -p %{buildroot}/%{sysconfdir}/%{httpd}-%{default_mpm}.conf %{buildroot}/%{sysconfdir}/httpd.conf
cp -p %{buildroot}/%{sysconfdir}/httpd-%{default_mpm}.conf %{buildroot}/%{sysconfdir}/httpd.conf
cp -p %{buildroot}/%{sysconfdir}/httpd.conf ./httpd.conf.default
rm %{buildroot}/%{sysconfdir}/%{httpd}-*.conf
rm %{buildroot}/%{sysconfdir}/httpd-*.conf
#
# create directories
mkdir -p %{buildroot}/%{_var}/adm/fillup-templates \
@ -514,13 +512,13 @@ mkdir -p %{buildroot}/%{_var}/adm/fillup-templates \
%{buildroot}/%{localstatedir}
#
# support files
install -m 755 support/log_server_status %{buildroot}/%{_bindir}/log_server_status%{vers}
install -m 755 support/split-logfile %{buildroot}/%{_bindir}/split-logfile%{vers}
install -m 755 support/logresolve.pl %{buildroot}/%{_sbindir}/logresolve.pl%{vers}
install -m 755 support/log_server_status %{buildroot}/%{_bindir}/
install -m 755 support/split-logfile %{buildroot}/%{_bindir}/
install -m 755 support/logresolve.pl %{buildroot}/%{_sbindir}/
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 $RPM_SOURCE_DIR/%{name}.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
install -m 755 $RPM_SOURCE_DIR/apache2-check_forensic %{buildroot}/%{_bindir}/check_forensic%{vers}
install -m 755 $RPM_SOURCE_DIR/apache-find-directives %{buildroot}/%{_bindir}
install -m 755 $RPM_SOURCE_DIR/apache2-check_forensic %{buildroot}/%{_bindir}/check_forensic
install -m 755 $RPM_SOURCE_DIR/apache-find-directives %{buildroot}/%{_bindir}/
#
# xml stuff
install -d %{buildroot}%{_datadir}/omc/svcinfo.d/
@ -531,21 +529,21 @@ install -m 755 %{SOURCE25} %{buildroot}/%{_bindir}/
tar xjf %{SOURCE29} -C %{buildroot}/%{sysconfdir}
#
# init script and friends
install -m 700 $RPM_SOURCE_DIR/start_apache2 %{buildroot}%{_sbindir}/start_apache2
install -m 700 $RPM_SOURCE_DIR/start_apache2 %{buildroot}%{_sbindir}/
%if 0%{?suse_version} >= 1210
mkdir -p %{buildroot}%{_unitdir}/
install -m 700 $RPM_SOURCE_DIR/apache2-systemd-ask-pass %{buildroot}%{_sbindir}/apache2-systemd-ask-pass
install -m 644 $RPM_SOURCE_DIR/apache2.service %{buildroot}%{_unitdir}/apache2.service
ln -sf service %{buildroot}/%{_sbindir}/rc%{name}
install -m 700 $RPM_SOURCE_DIR/apache2-systemd-ask-pass %{buildroot}%{_sbindir}/
install -m 644 $RPM_SOURCE_DIR/apache2.service %{buildroot}%{_unitdir}/
ln -sf service %{buildroot}/%{_sbindir}/rcapache2
%else
mkdir -p %{buildroot}%{_sysconfdir}/init.d
install -m 744 $RPM_SOURCE_DIR/rc.%{name} %{buildroot}%{_initddir}/%{name}
ln -sf ../..%{_initddir}/%{name} %{buildroot}/%{_sbindir}/rc%{name}
ln -sf ../..%{_initddir}/%{name} %{buildroot}/%{_sbindir}/rcapache2
%endif
install -m 755 $RPM_SOURCE_DIR/load_configuration %{buildroot}/%{_datadir}/%{name}/
install -m 755 $RPM_SOURCE_DIR/find_mpm %{buildroot}/%{_datadir}/%{name}/
install -m 755 $RPM_SOURCE_DIR/get_includes %{buildroot}/%{_datadir}/%{name}/
install -m 755 $RPM_SOURCE_DIR/find_httpd2_includes %{buildroot}/%{_datadir}/%{name}/
install -m 755 $RPM_SOURCE_DIR/find_httpd_includes %{buildroot}/%{_datadir}/%{name}/
install -m 755 $RPM_SOURCE_DIR/apache-20-22-upgrade %{buildroot}/%{_datadir}/%{name}/
sed 's+%{_prefix}/lib+%{_libdir}+' $RPM_SOURCE_DIR/get_module_list \
> %{buildroot}/%{_datadir}/%{name}/get_module_list
@ -632,24 +630,7 @@ ln -sf ../mime.types %{buildroot}/%{sysconfdir}/mime.types
mv %{buildroot}/%{cgidir}/printenv* .
mv %{buildroot}/%{cgidir}/test-cgi .
pushd %{buildroot}/%{_mandir}
for i in $(find . -type f); do
mv $i ${i%.*}%{vers}.${i#*.*.} || true
done
popd
pushd %{buildroot}/%{_bindir}
for i in ab dbmmanage htdbm htdigest htpasswd logresolve; do
mv $i ${i}%{vers} || true
done
popd
pushd %{buildroot}/%{_sbindir}
for i in rotatelogs suexec; do
mv $i ${i}%{vers} || true
done
mv apachectl apachectl.tmp; mv apachectl.tmp apache%{vers}ctl
popd
# fix up apxs
pushd %{buildroot}/%{_bindir}
for mpm in %{mpms_to_build}; do
@ -661,9 +642,9 @@ pushd %{buildroot}/%{_bindir}
i
my \$mpm_suffix = "-$mpm";
.
wq apxs%{vers}-$mpm
wq apxs-$mpm
EOT_ED
chmod 755 apxs%{vers}-$mpm
chmod 755 apxs-$mpm
done
cat <<-EOT_ED | ed -s apxs
H
@ -673,14 +654,48 @@ pushd %{buildroot}/%{_bindir}
.
wq
EOT_ED
mv apxs apxs%{vers}
popd
# install firewall information file
install -d %{buildroot}%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/
install -m 644 %{SOURCE49} %{buildroot}%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/%{name}
install -m 644 %{SOURCE50} %{buildroot}%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/%{name}-ssl
ln -sf %{_bindir}/apxs%{vers} %{buildroot}%{_sbindir}
ln -sf %{_bindir}/apxs %{buildroot}%{_sbindir}
#
# compat symlinks apache2 -> apache
#
ln -s ab %{buildroot}/%{_bindir}/ab2
ln -s ab.1.gz %{buildroot}/%{_mandir}/man1/ab2.1.gz
ln -s apxs %{buildroot}/%{_bindir}/apxs2
ln -s apxs.1.gz %{buildroot}/%{_mandir}/man1/apxs2.1.gz
ln -s apxs-prefork %{buildroot}/%{_bindir}/apxs2-prefork
ln -s apxs-worker %{buildroot}/%{_bindir}/apxs2-worker
ln -s apxs-event %{buildroot}/%{_bindir}/apxs2-event
ln -s dbmmanage %{buildroot}/%{_bindir}/dbmmanage2
ln -s dbmmanage.1.gz %{buildroot}/%{_mandir}/man1/dbmmanage2.1.gz
ln -s htdbm %{buildroot}/%{_bindir}/htdbm2
ln -s htdbm.1.gz %{buildroot}/%{_mandir}/man1/htdbm2.1.gz
ln -s htdigest %{buildroot}/%{_bindir}/htdigest2
ln -s htdigest.1.gz %{buildroot}/%{_mandir}/man1/htdigest2.1.gz
ln -s htpasswd %{buildroot}/%{_bindir}/htpasswd2
ln -s htpasswd.1.gz %{buildroot}/%{_mandir}/man1/htpasswd2.1.gz
ln -s check_forensic %{buildroot}/%{_bindir}/check_forensic2
ln -s logresolve %{buildroot}/%{_bindir}/logresolve2
ln -s logresolve.1.gz %{buildroot}/%{_mandir}/man1/logresolve2.1.gz
ln -s log_server_status %{buildroot}/%{_bindir}/log_server_status2
ln -s split-logfile %{buildroot}/%{_bindir}/split-logfile2
ln -s apachectl %{buildroot}/%{_sbindir}/apache2ctl
ln -s apachectl.8.gz %{buildroot}/%{_mandir}/man8/apache2ctl.8.gz
ln -s apxs %{buildroot}/%{_sbindir}/apxs2
ln -s httpd-prefork %{buildroot}/%{_sbindir}/httpd2-prefork
ln -s httpd-worker %{buildroot}/%{_sbindir}/httpd2-worker
ln -s httpd-event %{buildroot}/%{_sbindir}/httpd2-event
ln -s httpd.8.gz %{buildroot}/%{_mandir}/man8/httpd2.8.gz
ln -s logresolve.pl %{buildroot}/%{_sbindir}/logresolve.pl2
ln -s rotatelogs %{buildroot}/%{_sbindir}/rotatelogs2
ln -s rotatelogs.8.gz %{buildroot}/%{_mandir}/man8/rotatelogs2.8.gz
ln -s suexec %{buildroot}/%{_sbindir}/suexec2
ln -s suexec.8.gz %{buildroot}/%{_mandir}/man8/suexec2.8.gz
#
# filelists
#
@ -689,7 +704,8 @@ for mpm in %{mpms_to_build}; do
echo %dir %{_libdir}/%{name}-$mpm >> filelist
(
echo %dir %{includedir}-$mpm
echo %{_bindir}/apxs%{vers}-$mpm
echo %{_bindir}/apxs-$mpm
echo %{_bindir}/apxs2-$mpm
) >> filelist-devel
done
find %{buildroot}/%{includedir}/.. -type f -o -type l \
@ -698,8 +714,9 @@ find %{buildroot}/%{includedir}/.. -type f -o -type l \
find %{buildroot}/%{installbuilddir} -type f \
| sed "s#%{buildroot}##" \
>> filelist-devel
#
# remove files from the build root that we won't package
#
rm -f %{buildroot}/%{_libdir}/%{name}-*/*.exp # needed only on AIX
rm -f %{buildroot}/%{_libdir}/%{name}/*.exp # needed only on AIX
rm -f %{buildroot}/%{_sbindir}/checkgid # needed only for user installations from tarball
@ -734,7 +751,7 @@ echo -e "/authnz_ldap\n+\n-m/ldap\nwq" | ed -s ./%{sysconfdir}/sysconfig.d/loadm
popd
LD_LIBRARY_PATH=%{buildroot}%{_libdir} \
%{buildroot}/%{_sbindir}/httpd%{vers}-%{default_mpm} \
%{buildroot}/%{_sbindir}/httpd-%{default_mpm} \
-e debug -t -f %{buildroot}/%{sysconfdir}/httpd.conf.test || exit 1
rm %{buildroot}/%{sysconfdir}/*.test
rm %{buildroot}/%{sysconfdir}/sysconfig.d/*
@ -744,10 +761,13 @@ mv %{buildroot}/%{sysconfdir}/original .
%defattr(-,root,root)
%doc INSTALL READM* LICENSE ABOUT_APACHE CHANGES
%doc support/SHA1
%doc %{_mandir}/man?/apachectl%{vers}.?.*
%doc %{_mandir}/man?/htcacheclean%{vers}.?.*
%doc %{_mandir}/man?/%{httpd}.?.*
%doc %{_mandir}/man?/apxs%{vers}.?.*
%doc %{_mandir}/man?/apachectl.?.*
%doc %{_mandir}/man?/apache2ctl.?.*
%doc %{_mandir}/man?/htcacheclean.?.*
%doc %{_mandir}/man?/httpd.?.*
%doc %{_mandir}/man?/httpd2.?.*
%doc %{_mandir}/man?/apxs.?.*
%doc %{_mandir}/man?/apxs2.?.*
%doc robots.txt
%doc printenv
%doc test-cgi
@ -776,13 +796,14 @@ mv %{buildroot}/%{sysconfdir}/original .
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_datadir}/omc/svcinfo.d/apache2.xml
%if 0%{?suse_version} >= 1210
%{_unitdir}/%{name}.service
%{_unitdir}/apache2.service
%{_sbindir}/apache2-systemd-ask-pass
%else
%{_initddir}/%{name}
%endif
%{_sbindir}/rc%{name}
%{_sbindir}/apache%{vers}ctl
%{_sbindir}/rcapache2
%{_sbindir}/apachectl
%{_sbindir}/apache2ctl
%{_sbindir}/envvars
%{_sbindir}/envvars-std
%{_sbindir}/htcacheclean
@ -791,7 +812,8 @@ mv %{buildroot}/%{sysconfdir}/original .
%{_sbindir}/a2disflag
%{_sbindir}/a2dismod
%{_sbindir}/start_apache2
%{_bindir}/log_server_status%{vers}
%{_bindir}/log_server_status
%{_bindir}/log_server_status2
%{iconsdir}
%{errordir}
%{_var}/adm/fillup-templates/sysconfig.%{name}
@ -803,7 +825,7 @@ mv %{buildroot}/%{sysconfdir}/original .
%{_datadir}/%{name}/apache-20-22-upgrade
%{_datadir}/%{name}/get_module_list
%{_datadir}/%{name}/get_includes
%{_datadir}/%{name}/find_httpd2_includes
%{_datadir}/%{name}/find_httpd_includes
%{_datadir}/%{name}/find_mpm
%{_datadir}/%{name}/load_configuration
%{_datadir}/%{name}/sysconf_addword
@ -813,7 +835,8 @@ mv %{buildroot}/%{sysconfdir}/original .
%if %{prefork}
%files prefork
%defattr(-,root,root)
%{_sbindir}/%{httpd}-prefork
%{_sbindir}/httpd-prefork
%{_sbindir}/httpd2-prefork
%dir %{_libdir}/%{name}-prefork
# hardcoded list so we do not lose mods by accident
%{_libdir}/%{name}-prefork/mod_access_compat.so
@ -932,7 +955,8 @@ mv %{buildroot}/%{sysconfdir}/original .
%if %{worker}
%files worker
%defattr(-,root,root)
%{_sbindir}/%{httpd}-worker
%{_sbindir}/httpd-worker
%{_sbindir}/httpd2-worker
%dir %{_libdir}/%{name}-worker
# hardcoded list so we do not lose mods by accident
%{_libdir}/%{name}-worker/mod_access_compat.so
@ -1051,7 +1075,8 @@ mv %{buildroot}/%{sysconfdir}/original .
%if %{event}
%files event
%defattr(-,root,root)
%{_sbindir}/%{httpd}-event
%{_sbindir}/httpd-event
%{_sbindir}/httpd2-event
%dir %{_libdir}/%{name}-event
# hardcoded list so we do not lose mods by accident
%{_libdir}/%{name}-event/mod_access_compat.so
@ -1172,8 +1197,10 @@ mv %{buildroot}/%{sysconfdir}/original .
%dir %{_datadir}/%{name}
%dir %{installbuilddir}
%dir %{includedir}
%{_bindir}/apxs%{vers}
%{_sbindir}/apxs%{vers}
%{_bindir}/apxs
%{_sbindir}/apxs
%{_bindir}/apxs2
%{_sbindir}/apxs2
%files doc
%defattr(-,root,root)
@ -1190,31 +1217,50 @@ mv %{buildroot}/%{sysconfdir}/original .
%files utils
%defattr(-,root,root)
%doc %{_mandir}/man?/ab%{vers}.?.*
%doc %{_mandir}/man?/dbmmanage%{vers}.?.*
%doc %{_mandir}/man?/htdbm%{vers}.?.*
%doc %{_mandir}/man?/htdigest%{vers}.?.*
%doc %{_mandir}/man?/htpasswd%{vers}.?.*
%doc %{_mandir}/man?/httxt2dbm%{vers}.?.*
%doc %{_mandir}/man?/logresolve%{vers}.?.*
%doc %{_mandir}/man?/rotatelogs%{vers}.?.*
%doc %{_mandir}/man?/suexec%{vers}.?.*
%doc %{_mandir}/man?/ab.?.*
%doc %{_mandir}/man?/ab2.?.*
%doc %{_mandir}/man?/dbmmanage.?.*
%doc %{_mandir}/man?/dbmmanage2.?.*
%doc %{_mandir}/man?/htdbm.?.*
%doc %{_mandir}/man?/htdbm2.?.*
%doc %{_mandir}/man?/htdigest.?.*
%doc %{_mandir}/man?/htdigest2.?.*
%doc %{_mandir}/man?/htpasswd.?.*
%doc %{_mandir}/man?/htpasswd2.?.*
%doc %{_mandir}/man?/httxt2dbm.?.*
%doc %{_mandir}/man?/logresolve.?.*
%doc %{_mandir}/man?/logresolve2.?.*
%doc %{_mandir}/man?/rotatelogs.?.*
%doc %{_mandir}/man?/rotatelogs2.?.*
%doc %{_mandir}/man?/suexec.?.*
%doc %{_mandir}/man?/suexec2.?.*
%{_sbindir}/fcgistarter
%{_mandir}/man8/fcgistarter2.8.*
%{_bindir}/check_forensic%{vers}
%{_bindir}/dbmmanage%{vers}
%{_mandir}/man8/fcgistarter.8.*
%{_bindir}/check_forensic
%{_bindir}/check_forensic2
%{_bindir}/dbmmanage
%{_bindir}/dbmmanage2
%{_bindir}/apache-find-directives
%{_bindir}/gensslcert
%{_bindir}/htdbm%{vers}
%{_bindir}/htdigest%{vers}
%{_bindir}/htpasswd%{vers}
%{_bindir}/split-logfile%{vers}
%{_bindir}/ab%{vers}
%{_bindir}/htdbm
%{_bindir}/htdbm2
%{_bindir}/htdigest
%{_bindir}/htdigest2
%{_bindir}/htpasswd
%{_bindir}/htpasswd2
%{_bindir}/split-logfile
%{_bindir}/split-logfile2
%{_bindir}/ab
%{_bindir}/ab2
%{_bindir}/httxt2dbm
%{_sbindir}/logresolve.pl%{vers}
%{_bindir}/logresolve%{vers}
%{_sbindir}/rotatelogs%{vers}
%verify(not mode) %attr(0755,root,root) %{_sbindir}/suexec2
%{_sbindir}/logresolve.pl
%{_sbindir}/logresolve.pl2
%{_bindir}/logresolve
%{_bindir}/logresolve2
%{_sbindir}/rotatelogs
%{_sbindir}/rotatelogs2
%verify(not mode) %attr(0755,root,root) %{_sbindir}/suexec
%{_sbindir}/suexec2
%if %{prefork}
%post prefork
@ -1243,7 +1289,7 @@ exit 0
%if 0%{?suse_version} >= 1210
%service_del_preun apache2.service
%endif
for i in %{_sbindir}/%{httpd} \
for i in %{_sbindir}/httpd \
%{installbuilddir}/config_vars.mk
do
test -L $i && rm $i
@ -1261,7 +1307,7 @@ exit 0
%if 0%{?suse_version} <= 1130
%run_permissions
%else
%set_permissions %{_sbindir}/suexec2
%set_permissions %{_sbindir}/suexec
%endif
# wwwadmin group existed in past remove after openSUSE-13.2 out of support scope
if grep -q "^wwwadmin:" %{_sysconfdir}/group; then
@ -1313,6 +1359,6 @@ rm -rf $tmpdir
exit 0
%verifyscript
%verify_permissions -e %{_sbindir}/suexec2
%verify_permissions -e %{_sbindir}/suexec
%changelog

View File

@ -74,8 +74,8 @@ file extension.
<!-- Following is an example of an Apache process -->
<processInformation>
<name>httpd2-worker</name>
<modulePath>/usr/sbin/httpd2-worker</modulePath>
<name>httpd-worker</name>
<modulePath>/usr/sbin/httpd-worker</modulePath>
<parameter>-f</parameter>
<parameter>/etc/apache2/httpd.conf</parameter>
</processInformation>

View File

@ -1,6 +1,6 @@
#!/bin/bash
: ${apache_link:=/usr/sbin/httpd2}
: ${apache_link:=/usr/sbin/httpd}
. /usr/share/apache2/load_configuration
@ -34,9 +34,9 @@ if ! ${mpm_set:=false}; then
fi
if [ -x $apache_link-$APACHE_MPM ]; then
ln -sf $apache_link-$APACHE_MPM $apache_link
echo $apache_link-$APACHE_MPM
ln -sf $apache_link-$APACHE_MPM ${apache_link}2
else
echo >&2 ${warn}$apache_link-$APACHE_MPM is not a valid httpd2 binary.
echo >&2 ${warn}$apache_link-$APACHE_MPM is not a valid httpd binary.
echo >&2 Check your APACHE_MPM setting.$norm
exit 1
fi

View File

@ -6,7 +6,7 @@ diff -Ndurp httpd-2.4.10/support/apachectl.in httpd-2.4.10-apachectl/support/apa
#
# the path to your httpd binary, including options if necessary
-HTTPD='@exp_sbindir@/@progname@'
+HTTPD='@exp_sbindir@/httpd2'
+HTTPD='@exp_sbindir@/httpd'
#
# pick up any necessary environment variables
if test -f @exp_sbindir@/envvars; then

View File

@ -12,7 +12,7 @@
my %hash = ();
my $parent = $$;
+my $tempdir = File::Temp::tempdir("logresolve.pl2.sockets.XXXXXX", CLEANUP => 1);
+my $tempdir = File::Temp::tempdir("logresolve.pl.sockets.XXXXXX", CLEANUP => 1);
+
my @children = ();
for (my $child = 1; $child <=$CHILDREN; $child++) {

View File

@ -1 +1,2 @@
/usr/sbin/suexec root:root 4755
/usr/sbin/suexec2 root:root 4755

View File

@ -27,7 +27,7 @@
pname=apache2
: ${sysconfdir:=/etc/$pname}
: ${apache_link:=/usr/sbin/httpd2}
: ${apache_link:=/usr/sbin/httpd}
: ${sysconfig_apache:=/etc/sysconfig/$pname}
: ${pidfile:=/var/run/httpd.pid}
: ${logdir:=/var/log/$pname}
@ -64,7 +64,7 @@ if [ -z "$APACHE_MPM" ]; then
fi
if ! [ -x $apache_bin ]; then
echo >&2 ${warn}$apache_bin-$APACHE_MPM is not a valid httpd2 binary.
echo >&2 ${warn}$apache_bin-$APACHE_MPM is not a valid httpd binary.
echo >&2 Check your APACHE_MPM setting in /etc/sysconfig/$pname. $norm
rc_failed 5
rc_status -v1
@ -117,7 +117,7 @@ case "$action" in
fi
fi
echo -n "Starting httpd2 (${APACHE_MPM:-${apache_bin#*-}}) "
echo -n "Starting httpd (${APACHE_MPM:-${apache_bin#*-}}) "
cmdline=$(echo $apache_bin -f $httpd_conf $server_flags "$@")
if eval $cmdline -t > $logdir/rc$pname.out 2>&1 ; then
export -n ${!APACHE_*}
@ -156,7 +156,7 @@ case "$action" in
fi
;;
stop)
echo -n "Shutting down httpd2 "
echo -n "Shutting down httpd "
if [ ! -f $pidfile -a -f $pidfile.rpmsave ]; then mv $pidfile.rpmsave $pidfile; fi
if ! [ -f $pidfile ]; then
echo -n "(not running)"
@ -191,7 +191,7 @@ case "$action" in
rc_status -v
;;
stop-graceful)
echo "Shutting down httpd2 gracefully (SIGWINCH)"
echo "Shutting down httpd gracefully (SIGWINCH)"
if ! [ -f $pidfile ]; then
echo -n "(not running)"
else
@ -242,7 +242,7 @@ case "$action" in
$0 configtest "$@" || { rc_failed $?; rc_exit; }
if $0 status &>/dev/null; then
echo -n "Restarting httpd2 (SIGHUP)"
echo -n "Restarting httpd (SIGHUP)"
kill -HUP $(<$pidfile) || return=$rc_failed
else
$0 start "$@"
@ -271,7 +271,7 @@ case "$action" in
executable=$( readlink /proc/$(cat $pidfile)/exe 2> /dev/null )
case "$executable" in
*httpd*delete*)
echo -n "Reload httpd2 after package update: ignoring request. Please do a manual restart explicitly! "
echo -n "Reload httpd after package update: ignoring request. Please do a manual restart explicitly! "
rc_failed 1
rc_status -v
rc_exit
@ -280,7 +280,7 @@ case "$action" in
;;
esac
echo -n "Reload httpd2 (graceful restart)"
echo -n "Reload httpd (graceful restart)"
cmdline=$(echo $apache_bin -f $httpd_conf $server_flags "$@")
if eval $cmdline -t &> $logdir/rc$pname.out; then
@ -303,7 +303,7 @@ case "$action" in
;;
status)
if [ ! -f $pidfile -a -f $pidfile.rpmsave ]; then mv $pidfile.rpmsave $pidfile; fi
echo -n "Checking for httpd2: "
echo -n "Checking for httpd: "
# we don't use checkproc here since it is confused when we exchange the binaries
if ! [ -f $pidfile ]; then
# not running
@ -351,11 +351,11 @@ case "$action" in
;;
server-status)
apache2ctl status
apachectl status
;;
full-server-status|fullstatus)
apache2ctl fullstatus
apachectl fullstatus
;;
*)

View File

@ -15,7 +15,7 @@ pname=apache2
export ${!APACHE_*}
apache_link=/usr/sbin/httpd2
apache_link=/usr/sbin/httpd
apache_bin=$(/usr/share/$pname/find_mpm 2>/dev/null)
httpd_conf=${APACHE_HTTPD_CONF:-/etc/apache2/httpd.conf}
@ -26,7 +26,7 @@ if [ -z "$APACHE_MPM" ]; then
fi
if ! [ -x $apache_bin ]; then
echo >&2 $apache_bin-$APACHE_MPM is not a valid httpd2 binary.
echo >&2 $apache_bin-$APACHE_MPM is not a valid httpd binary.
echo >&2 Check your APACHE_MPM setting in /etc/sysconfig/$pname.
exit 5
fi